#include <bits/stdc++.h>
#include <stdlib.h>
using namespace std;

int main()
{
    char x;
    int brv, brk, pom = 0;

    scanf("%d %d", &brv, &brk);
    fflush(stdin);

    for(int i=0; i < brv; i++)
        for(int j=0; j < brk; j++)
        {
            scanf("%c", &x);
            if(x == '.')
                pom = 1;
        }


    if(pom == 0)
        printf("%d", -1);
    else
        for(int i=1; i <=brv; i++)
        {
            for(int j=1; j <=brk; j++)
            {
                if(j == i)
                    printf("C");
                else
                    printf(".");
            }
            printf("\n");
        }

    return 0;
}